Passer au contenu principal
GET
/
monitor
/
{monitorId}
/
checks
Lister les vérifications du monitor
curl --request GET \
  --url https://api.firecrawl.dev/v2/monitor/{monitorId}/checks \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.firecrawl.dev/v2/monitor/{monitorId}/checks"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.firecrawl.dev/v2/monitor/{monitorId}/checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "actualCredits": 123,
      "billingStatus": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "error": "<string>",
      "estimatedCredits": 123,
      "finishedAt": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "notificationStatus": {},
      "reservedCredits": 123,
      "scheduledFor": "2023-11-07T05:31:56Z",
      "startedAt": "2023-11-07T05:31:56Z",
      "summary": {
        "changed": 123,
        "error": 123,
        "new": 123,
        "removed": 123,
        "same": 123,
        "totalPages": 123
      },
      "targetResults": "<array>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "success": true
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

monitorId
string<uuid>
requis

L’ID du monitor

Paramètres de requête

limit
integer
défaut:25
Plage requise: 1 <= x <= 100
offset
integer
défaut:0
Plage requise: x >= 0
status
enum<string>

Filtrer les vérifications par état.

Options disponibles:
queued,
running,
completed,
failed,
partial,
skipped_overlap

Réponse

200 - application/json

Vérifications du monitor

data
object[]
success
boolean